﻿using System.Configuration;

namespace RKRD.Registry.NRZP.ServiceTestClient.Configuration
{
    public class NrzpConfiguration : ConfigurationSection
    {
        #region Constants

        public const string CONFIGURATION_SECTION_NAME = "nrzp";
        private const string PROPERTY_XML_FILE = "xmlRelativeFilePath";


        #endregion

        #region Properties

        /// <summary>
        /// Cesta k XML souboru pro zaslani na ws
        /// </summary>
        [ConfigurationProperty(PROPERTY_XML_FILE, DefaultValue = null, IsRequired = true)]
        public string XmlRelativeFilePath
        {
            get { return (string)base[PROPERTY_XML_FILE]; }
            set { base[PROPERTY_XML_FILE] = value; }
        }
        #endregion
    }
}
